mixin postListItem(post)
    li.personal-space
        div.post-list-container
            a(href='/posts/'+post.id): h3.post-title= post.id
            h4= (post.plusOnes?post.plusOnes.length:0)+" +1s."
            h4= (post.comments ? post.comments.length : 0) + " comments."

            if post.media && post.media.url
                img.post-img(src=post.media.url width=post.media.width / 20 height=post.media.height / 20)

            if post.album && post.album.media
                div.horizontally-scrollable
                    ul.list-inline
                    for pic in post.album.media
                        li.list-inline-item: img.album-img(src=pic.url width=pic.width / 20 height=pic.height / 20)

            div.post-content!= post.content
